# spec file for package nodejs-nodejs-tap

%global npmname tap
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-tap
Version:        0.7.1
Release:        0%{?dist}
Summary:        A Test-Anything-Protocol library
Url:            https://github.com/isaacs/node-tap
Source0:        http://registry.npmjs.org/tap/-/tap-0.7.1.tgz
License:        {"type"=>"MIT", "url"=>"https://github.com/isaacs/node-tap/raw/master/LICENSE"}

#BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

ExclusiveArch: %{nodejs_arches} noarch

%if 0%{?enable_tests}
# we need to replicate the dependencies of this package for it to be able to
# test itself
BuildRequires:  npm(inherits)
BuildRequires:  npm(yamlish)
BuildRequires:  npm(slide)
BuildRequires:  npm(runforcover)
BuildRequires:  npm(nopt)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(difflet)
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(buffer-equal)
BuildRequires:  npm(glob)
%endif

%description
A Test-Anything-Protocol library
%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/tap
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/tap

mkdir -p %{buildroot}%{_bindir}

rm -f %{buildroot}%{_bindir}/tap
ln -sf %{_libdir}/node_modules/%{npmname}/bin/tap.js %{buildroot}%{_bindir}/tap
%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node --use_strict bin/tap.js test/*.*
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/tap
%{_bindir}/*

%doc LICENSE README.md

%changelog
